From 4cfc0cba497910e77fd8abcb291415a39f75dd08 Mon Sep 17 00:00:00 2001
From: Peter Seiderer <ps.report@gmx.net>
Date: Sun, 21 Dec 2014 11:57:02 +0100
Subject: [PATCH] qt5multimedia: enable gstreamer-1.x support

Add 0001-Initial-porting-effort-to-GStreamer-1.0.patch from [1] (with minor
conflict fixed).
Add 0002-Fix-compilation-when-building-against-GStreamer-0.10.patch from [2].

Fix qt5multimedia.mk for the gstreamer-1.x case.

[1] https://qt.gitorious.org/qt/tolszaks-qtmultimedia/commit/c847d2f36bd45befcd44d52f92140758563350bf.patch
[2] https://qt.gitorious.org/qt/tolszaks-qtmultimedia/commit/609048bd6fcd37162b2b5b139392a8ec8b2260e9.patch

Signed-off-by: Peter Seiderer <ps.report@gmx.net>
---
 ...1-Initial-porting-effort-to-GStreamer-1.0.patch | 2855 ++++++++++++++++++++
 ...tion-when-building-against-GStreamer-0.10.patch |  167 ++
 package/qt5/qt5multimedia/qt5multimedia.mk         |    6 +-
 3 files changed, 3027 insertions(+), 1 deletion(-)
 create mode 100644 package/qt5/qt5multimedia/0001-Initial-porting-effort-to-GStreamer-1.0.patch
 create mode 100644 package/qt5/qt5multimedia/0002-Fix-compilation-when-building-against-GStreamer-0.10.patch

diff --git a/package/qt5/qt5multimedia/qt5multimedia.mk b/package/qt5/qt5multimedia/qt5multimedia.mk
index 4588f48..3887094 100644
--- a/package/qt5/qt5multimedia/qt5multimedia.mk
+++ b/package/qt5/qt5multimedia/qt5multimedia.mk
@@ -18,9 +18,13 @@ QT5MULTIMEDIA_LICENSE = Commercial license
 QT5MULTIMEDIA_REDISTRIBUTE = NO
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BASE),y)
+QT5MULTIMEDIA_DEPENDENCIES += gst1-plugins-base
+else
 ifeq ($(BR2_PACKAGE_GST_PLUGINS_BASE),y)
 QT5MULTIMEDIA_DEPENDENCIES += gst-plugins-base
 endif
+endif
 
 ifeq ($(BR2_PACKAGE_QT5DECLARATIVE),y)
 QT5MULTIMEDIA_DEPENDENCIES += qt5declarative
@@ -40,7 +44,7 @@ define QT5MULTIMEDIA_INSTALL_STAGING_CMDS
 endef
 
 ifeq ($(BR2_STATIC_LIBS),)
-ifeq ($(BR2_PACKAGE_GST_PLUGINS_BASE),y)
+ifneq ($(BR2_PACKAGE_GST_PLUGINS_BASE)$(BR2_PACKAGE_GST1_PLUGINS_BASE),)
 define QT5MULTIMEDIA_INSTALL_TARGET_QGSTTOOLS_LIB
 	cp -dpf $(STAGING_DIR)/usr/lib/libqgsttools*.so.* $(TARGET_DIR)/usr/lib
 endef
-- 
2.1.2

